* Create fictional dataset for clockdiff() example

clear
input patid weight str10 ai str10 ms
1 126 "2:35" "3:05"
2 130 "3:25" "3:20"
3 135 "8:36" "9:15"
4 145 "30:14" "29:28"
5 164 "40:29" "39:35"
6 185 "20:05" "19:25"
7 240 "35:47" "28:50"
8 255 "42:05" "38:35"
end

generate auto_inject = clock(ai, "ms")
generate manual_syringe = clock(ms, "ms")
format auto_inject manual_syringe %tcmm:SS
drop ai ms 
label variable patid "Patient ID"
label variable weight "Weight (lbs)"
label variable auto_inject "Time to peak concentration"
label variable manual_syringe "Time to peak concentration"
label data "Fictional data on epinephrine delivery"
save epinephrine, replace 








